<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">
    <script>
        setTimeout(function () {
            document.getElementById('frmCadastroAluno:lblMensagem').style.display = 'none';
        }, 3000);
    </script>
    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>
        <h:form id="frmCadastroAluno">
            Hello from Facelets<br/>
            <h:outputLabel>Matrícula: </h:outputLabel><h:inputText size="20" value="#{controlador.aluno.nrMatricula}" /><br/>
            <h:outputLabel>Nome: </h:outputLabel><h:inputText value="#{controlador.aluno.nmAluno}"/><br/>
            <h:outputLabel>CPF: </h:outputLabel><h:inputText value="#{controlador.aluno.nrCpf}"/><br/>
            <h:outputLabel>E-Mail: </h:outputLabel><h:inputText value="#{controlador.aluno.nmEmail}"/><br/>
            <h:outputLabel>Telefone: </h:outputLabel><h:inputText value="#{controlador.aluno.nrTelefone}"/><br/>
            <h:commandButton value="Inserir Novo Aluno"  actionListener="#{controlador.inserirAluno()}"  /><br/>
            <h:commandButton value="Modificar Dados"  actionListener="#{controlador.atualizarAluno()}"  /><br/>

            <h:outputLabel id="lblMensagem"  rendered="#{controlador.alunoInserido}" style="color: red;" >
                <strong>#{controlador.mensagem}</strong>
            </h:outputLabel><br/>
            <h:dataTable value="#{controlador.alunosCadastrados}" var="alunoAtual" border="1" styleClass="order-table"  headerClass="order-table-header"  rowClasses="order-table-odd-row,order-table-even-row" >
                <h:column >
                    <f:facet name="header">Nome:</f:facet>
                    <h:commandLink value="#{alunoAtual.nmAluno}" actionListener="#{controlador.selecionarAluno}" >
                        <f:param name="nrMatricula" value="#{alunoAtual.nrMatricula}"/>
                        <f:attribute name="numeroMatricula" value="#{alunoAtual.nrMatricula}" />
                    </h:commandLink>
                </h:column>
                <h:column >
                    <f:facet name="header">Matrícula: </f:facet>
                    <h:commandLink value="#{alunoAtual.nrMatricula}" actionListener="#{controlador.selecionarAluno}" >
                        <f:param name="nrMatricula" value="#{alunoAtual.nrMatricula}"/>
                        <f:attribute name="numeroMatricula" value="#{alunoAtual.nrMatricula}" />
                    </h:commandLink>
                </h:column>
                <h:column >
                    <f:facet name="header">CPF: </f:facet>
                    <h:commandLink value="#{alunoAtual.nrCpf}" actionListener="#{controlador.selecionarAluno}" >
                        <f:param name="nrMatricula" value="#{alunoAtual.nrMatricula}"/>
                        <f:attribute name="numeroMatricula" value="#{alunoAtual.nrMatricula}" />
                    </h:commandLink>
                </h:column>
                <h:column >
                    <f:facet name="header">E-Mail: </f:facet>
                    <h:commandLink value="#{alunoAtual.nmEmail}" actionListener="#{controlador.selecionarAluno}" >
                        <f:param name="nrMatricula" value="#{alunoAtual.nrMatricula}"/>
                        <f:attribute name="numeroMatricula" value="#{alunoAtual.nrMatricula}" />
                    </h:commandLink>
                </h:column>
                <h:column >
                    <f:facet name="header">Telefone: </f:facet>
                    <h:commandLink value="#{alunoAtual.nrTelefone}" actionListener="#{controlador.selecionarAluno}" >
                        <f:param name="nrMatricula" value="#{alunoAtual.nrMatricula}"/>
                        <f:attribute name="numeroMatricula" value="#{alunoAtual.nrMatricula}" />
                    </h:commandLink>                    
                </h:column>
                <h:column >
                    <f:facet name="header">Excluir</f:facet>
                    <h:commandButton  actionListener="#{controlador.excluirAluno}" value="Excluir">
                        <f:attribute name="numeroMatricula" value="#{alunoAtual.nrMatricula}" />
                    </h:commandButton>
                </h:column>
                <h:column >
                    <f:facet name="header">Selecionar</f:facet>
                    <h:commandButton  actionListener="#{controlador.selecionarAluno}" value="Selecionar">
                        <f:attribute name="numeroMatricula" value="#{alunoAtual.nrMatricula}" />
                    </h:commandButton>
                </h:column>
            </h:dataTable>
        </h:form>
    </h:body>
</html>

